# DataExchange
TKSTEP209
StepFEA

# StepFEA_Curve3dElementProperty Class Reference

Representation of STEP entity Curve3dElementProperty
.

`#include <StepFEA_Curve3dElementProperty.hxx>`

## Public Member Functions

Standard_EXPORT | StepFEA_Curve3dElementProperty ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aPropertyId, const Handle(TCollection_HAsciiString)&aDescription, const Handle(StepFEA_HArray1OfCurveElementInterval)&aIntervalDefinitions, const Handle(StepFEA_HArray1OfCurveElementEndOffset)&aEndOffsets, const Handle(StepFEA_HArray1OfCurveElementEndRelease)&aEndReleases)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_TCollection_HAsciiString | PropertyId () const
| Returns field PropertyId .
Standard_EXPORT void | SetPropertyId (const Handle(TCollection_HAsciiString)&PropertyId)
| Set field PropertyId .
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
| Returns field Description .
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&Description)
| Set field Description .
Standard_EXPORT Handle_StepFEA_HArray1OfCurveElementInterval | IntervalDefinitions () const
| Returns field IntervalDefinitions .
Standard_EXPORT void | SetIntervalDefinitions (const Handle(StepFEA_HArray1OfCurveElementInterval)&IntervalDefinitions)
| Set field IntervalDefinitions .
Standard_EXPORT Handle_StepFEA_HArray1OfCurveElementEndOffset | EndOffsets () const
| Returns field EndOffsets .
Standard_EXPORT void | SetEndOffsets (const Handle(StepFEA_HArray1OfCurveElementEndOffset)&EndOffsets)
| Set field EndOffsets .
Standard_EXPORT Handle_StepFEA_HArray1OfCurveElementEndRelease | EndReleases () const
| Returns field EndReleases .
Standard_EXPORT void | SetEndReleases (const Handle(StepFEA_HArray1OfCurveElementEndRelease)&EndReleases)
| Set field EndReleases .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | thePropertyId
Handle_TCollection_HAsciiString | theDescription
Handle_StepFEA_HArray1OfCurveElementInterval | theIntervalDefinitions
Handle_StepFEA_HArray1OfCurveElementEndOffset | theEndOffsets
Handle_StepFEA_HArray1OfCurveElementEndRelease | theEndReleases

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_Curve3dElementProperty::StepFEA_Curve3dElementProperty | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepFEA_Curve3dElementProperty::Description | ( |  | ) | const

Standard_EXPORT Handle_StepFEA_HArray1OfCurveElementEndOffset StepFEA_Curve3dElementProperty::EndOffsets | ( |  | ) | const

Standard_EXPORT Handle_StepFEA_HArray1OfCurveElementEndRelease StepFEA_Curve3dElementProperty::EndReleases | ( |  | ) | const

Standard_EXPORT const StepFEA_Curve3dElementProperty::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepFEA_Curve3dElementProperty::Init | ( | const Handle(TCollection_HAsciiString)& | aPropertyId,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Handle(StepFEA_HArray1OfCurveElementInterval)& | aIntervalDefinitions,
|  | const Handle(StepFEA_HArray1OfCurveElementEndOffset)& | aEndOffsets,
|  | const Handle(StepFEA_HArray1OfCurveElementEndRelease)& | aEndReleases
| ) |

Standard_EXPORT Handle_StepFEA_HArray1OfCurveElementInterval StepFEA_Curve3dElementProperty::IntervalDefinitions | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepFEA_Curve3dElementProperty::PropertyId | ( |  | ) | const

Standard_EXPORT void StepFEA_Curve3dElementProperty::SetDescription | ( | const Handle(TCollection_HAsciiString)& | Description | ) |

Standard_EXPORT void StepFEA_Curve3dElementProperty::SetEndOffsets | ( | const Handle(StepFEA_HArray1OfCurveElementEndOffset)& | EndOffsets | ) |

Standard_EXPORT void StepFEA_Curve3dElementProperty::SetEndReleases | ( | const Handle(StepFEA_HArray1OfCurveElementEndRelease)& | EndReleases | ) |

Standard_EXPORT void StepFEA_Curve3dElementProperty::SetIntervalDefinitions | ( | const Handle(StepFEA_HArray1OfCurveElementInterval)& | IntervalDefinitions | ) |

Standard_EXPORT void StepFEA_Curve3dElementProperty::SetPropertyId | ( | const Handle(TCollection_HAsciiString)& | PropertyId | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepFEA_Curve3dElementProperty::theDescription `[private]`

Handle_StepFEA_HArray1OfCurveElementEndOffset StepFEA_Curve3dElementProperty::theEndOffsets `[private]`

Handle_StepFEA_HArray1OfCurveElementEndRelease StepFEA_Curve3dElementProperty::theEndReleases `[private]`

Handle_StepFEA_HArray1OfCurveElementInterval StepFEA_Curve3dElementProperty::theIntervalDefinitions `[private]`

Handle_TCollection_HAsciiString StepFEA_Curve3dElementProperty::thePropertyId `[private]`

The documentation for this class was generated from the following file:

- StepFEA_Curve3dElementProperty.hxx